# ``twisted`.`names`.`dns`.`Record_SSHFP``

class documentation

`class Record_SSHFP(tputil.FancyEqMixin, tputil.FancyStrMixin): (source)`

Implements interfaces: `twisted.names.dns.IEncodableRecord`

View In Hierarchy

A record containing the fingerprint of an SSH key.

See Also
RFC 4255 and RFC 6594

Method | `__hash__` | Undocumented
Method | `__init__` | Undocumented
Method | `decode` | Reconstruct an object from data read from the given file object.
Method | `encode` | Write a representation of this object to the given file object.
Constant | `ALGORITHM_DSS` | The algorithm value for `ssh-dss` keys.
Constant | `ALGORITHM_ECDSA` | The algorithm value for `ecdsa-sha2-*` keys.
Constant | `ALGORITHM_RSA` | The algorithm value for `ssh-rsa` keys.
Constant | `FINGERPRINT_TYPE_SHA1` | The type for SHA-1 fingerprints.
Constant | `FINGERPRINT_TYPE_SHA256` | The type for SHA-256 fingerprints.
Class Variable | `ALGORITHM_Ed25519` | The algorithm value for `ed25519` keys.
Class Variable | `compareAttributes` | Undocumented
Class Variable | `fancybasename` | Undocumented
Class Variable | `showAttributes` | Undocumented
Instance Variable | `algorithm` | The SSH key's algorithm, such as `ALGORITHM_RSA`. Note that the numbering used for SSH key algorithms is specific to the SSHFP record, and is not the same as the numbering used for KEY or SIG records.
Instance Variable | `fingerprint` | The key's fingerprint, e.g. a 32-byte SHA-256 digest.
Instance Variable | `fingerprintType` | The fingerprint type, such as `FINGERPRINT_TYPE_SHA256`.
Instance Variable | `ttl` | Undocumented

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

Inherited from `FancyStrMixin`:

Method | `__str__` | Undocumented

def __hash__(self): (source)

Undocumented

def __init__(self, algorithm=0, fingerprintType=0, fingerprint=b'', ttl=0): (source)

Undocumented

def decode(self, strio, length=None): (source)
from `twisted.names.dns.IEncodable`
Reconstruct an object from data read from the given file object.

Parameters
strio:File-like object | A seekable buffer from which bytes may be read.
length:`int` or `None` | The number of bytes in this RDATA field. Most implementations can ignore this value. Only in the case of records similar to TXT where the total length is in no way encoded in the data is it necessary.

def encode(self, strio, compDict=None): (source)
from `twisted.names.dns.IEncodable`
Write a representation of this object to the given file object.

Parameters
strio:File-like object | The buffer to write to. It must have a `tell()` method.
compDict:`dict` of `bytes` to `int` r `None` | A mapping of names to byte offsets that have already been written to the buffer, which may be used for compression (see RFC 1035 section 4.1.4). When `None`, encode without compression.

ALGORITHM_DSS: `int` = (source)
The algorithm value for `ssh-dss` keys.

Value

    2

ALGORITHM_ECDSA: `int` = (source)
The algorithm value for `ecdsa-sha2-*` keys.

Value

    3

ALGORITHM_RSA: `int` = (source)
The algorithm value for `ssh-rsa` keys.

Value

    1

FINGERPRINT_TYPE_SHA1: `int` = (source)
The type for SHA-1 fingerprints.

Value

    1

FINGERPRINT_TYPE_SHA256: `int` = (source)
The type for SHA-256 fingerprints.

Value

    2

ALGORITHM_Ed25519: `int` = (source)
The algorithm value for `ed25519` keys.
compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

fancybasename: `str` = (source)

Undocumented

showAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyStrMixin.showAttributes`

Undocumented

algorithm: `int` = (source)
The SSH key's algorithm, such as `ALGORITHM_RSA`. Note that the numbering used for SSH key algorithms is specific to the SSHFP record, and is not the same as the numbering used for KEY or SIG records.
fingerprint: `bytes` = (source)
The key's fingerprint, e.g. a 32-byte SHA-256 digest.
fingerprintType: `int` = (source)
The fingerprint type, such as `FINGERPRINT_TYPE_SHA256`.
ttl = (source)

Undocumented